summaryrefslogtreecommitdiffstats
path: root/source/xap/geeqie/geeqie.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/geeqie/geeqie.SlackBuild')
-rwxr-xr-xsource/xap/geeqie/geeqie.SlackBuild28
1 files changed, 20 insertions, 8 deletions
diff --git a/source/xap/geeqie/geeqie.SlackBuild b/source/xap/geeqie/geeqie.SlackBuild
index 6dffa6fe5..857e0d2e6 100755
--- a/source/xap/geeqie/geeqie.SlackBuild
+++ b/source/xap/geeqie/geeqie.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2010, 2011, 2012, 2015, 2016 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2015, 2016, 2018 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,11 @@
# Modified by the SlackBuilds.org project
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=geeqie
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
-CWD=$(pwd)
# Download the geeqie Git head if there's no tarball:
if ! /bin/ls $CWD/geeqie*tar* 1> /dev/null 2> /dev/null ; then
git clone git://www.geeqie.org/geeqie.git
@@ -47,6 +48,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -78,7 +87,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-autoreconf -f -i ; intltoolize
+zcat $CWD/fix-build-re-docs.diff.gz | patch -p1 --verbose || exit 1
+mv ChangeLog.gqview ChangeLog
+
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -87,16 +99,16 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --with-readmedir=/usr/doc/geeqie-$VERSION \
+ --with-htmldir=/usr/doc/geeqie-$VERSION/html \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-mv $PKG/usr/share/doc/$PKGNAM-$VERSION/* $PKG/usr/doc/$PKGNAM-$VERSION
-rm -r $PKG/usr/share/doc
cp -a \
AUTHORS COPYING* INSTALL NEWS README* TODO \
$PKG/usr/doc/$PKGNAM-$VERSION